bad local file header when installing python *.egg files

2014-11-24 11:42 - Florian Lier

Status: Rejected Start date: 2014-11-24

Priority: High Due date:  

Assignee: Florian Lier % Done: 0%

Category:  Estimated time: 0.00 hour

Target version: Toolkit 0.1 Spent time: 0.00 hour

Description

Since one week I randomly noticed a Jenkins error during the installation phase of python components.

 File "/usr/lib/python2.7/dist-packages/pkg_resources.py", line 1425, in _get

    return self.loader.get_data(path)

zipimport.ZipImportError: bad local file header in

 /media/local_data/flier/icub-nightly/lib/python2.7/site-packages/pyscxml-0.8.3_20120108-py2.7.egg

 

I saw this in pyscxml and rsb-python for instance

Associated revisions

Revision f2255807 - 2015-01-13 19:17 - Michael Goerlich

removed hack due to fix of nfs bug + build on ayq ( refs #341 )

History

#1 - 2014-11-24 11:42 - Florian Lier

- Category set to build-generator

- Target version set to Toolkit 0.1

#2 - 2014-11-25 11:44 - Norman Köster

If this occurs in the techfak environment, it is related to the filesystem-bug (new created files being invisible to the first process accessing them). It

also happens to me when I install python projects by hand :'(

simple solution: just build it again until it works -.-

#3 - 2015-01-07 15:56 - Florian Lier

- Status changed from New to Feedback

- Assignee set to Florian Lier

Workaround in recipe:

"pre-build-hook/unix.command": "rm -rf ${toolkit.dir}/lib/python2.7/site-packages/pyscxml*.egg"

#4 - 2015-01-12 10:24 - Jan Moringen
- Category deleted (build-generator)

#5 - 2015-01-13 19:18 - Michael Goerlich

Hey, since we have a bugfree kernel and the jenkins-setup at ayq does not support the hack I removed it.

#6 - 2015-01-14 12:58 - Johannes Wienke

I just received this error on a local volume. Are there any others ideas what could cause this?

#7 - 2015-01-14 13:21 - Florian Lier

Yes: https://bitbucket.org/pypa/setuptools/issue/168

and

http://trac.edgewall.org/ticket/7014

#8 - 2015-08-24 21:17 - Florian Lier

Is this fixed?

#9 - 2015-08-25 11:03 - Johannes Wienke

- Status changed from Feedback to Rejected

This is basically an upstream issue. We cannot deal with this here apart from giving the advice to locally upgrade setuptools and pip.
